import 'package:flutter/material.dart';
import 'package:sendtrain/classes/activity_action.dart';

class ActivityActionView extends StatefulWidget {
  const ActivityActionView({super.key, required this.action});

  final ActivityAction action;

  @override
  State<ActivityActionView> createState() => _ActivityActionViewState();
}

class _ActivityActionViewState extends State<ActivityActionView> {
  @override
  Widget build(BuildContext context) {
    return Expanded(
        child: ListView.builder(
      // shrinkWrap: true,
      padding: const EdgeInsets.fromLTRB(10, 0, 10, 0),
      itemCount: widget.action.activityActionSet.total,
      itemBuilder: (BuildContext context, int index) {
        return Text(
          widget.action.description
        );
      },
    ));
    // return Column(
    //   children: [
    //     Expanded(
    //       child: ListView(
    //         children: <Widget>[
    //           Text(
    //             textAlign: TextAlign.left,
    //             style: const TextStyle(fontSize: 15),
    //             widget.action.description)
    //         ],
    //       ),
    //     ),
    //   ],
    // );
  }
}
